#include <rcsc/player/player_agent.h>
#include <rcsc/action/basic_actions.h>
#include <rcsc/action/body_go_to_point.h>
#include <rcsc/common/server_param.h>
#include <rcsc/player/intercept_table.h>
#include "bhv_matsu_sakimawari.h"
using namespace rcsc;
bool bhv_matsu_sakimawari::execute( rcsc::PlayerAgent * agent){//+1
//3.11.3 p.96
	const WorldModel & wm = agent->world();
	const PlayerObject * opp
	 = wm.interceptTable()->fastestOpponent();
	if ( ! opp ){
//		return;
		return false;
	}
	Vector2D block_point = opp->pos();
	if ( wm.self().pos().x > opp->pos().x ){
	  block_point.x -= 5.0;
	}else{
	 block_point.x -= 2.0;
	}
	Body_GoToPoint( block_point,
			1.0,
			ServerParam::i().maxPower(),
			5,
			false,
			true,
			40.0
			).execute( agent );

return true;

}//-1
